### Method

# GdkPixbuf Pixbuf scale

#### Declaration [src]

    void
    gdk_pixbuf_scale (
      const GdkPixbuf* src,
      GdkPixbuf* dest,
      int dest_x,
      int dest_y,
      int dest_width,
      int dest_height,
      double offset_x,
      double offset_y,
      double scale_x,
      double scale_y,
      GdkInterpType interp_type
    )

#### Description [src]

Creates a transformation of the source image `src` by scaling by `scale_x` and `scale_y` then translating by `offset_x` and `offset_y`, then renders the rectangle (`dest_x`, `dest_y`, `dest_width`, `dest_height`) of the resulting image onto the destination image replacing the previous contents.

Try to use `gdk_pixbuf_scale_simple()` first; this function is the industrial-strength power tool you can fall back to, if `gdk_pixbuf_scale_simple()` isn’t powerful enough.

If the source rectangle overlaps the destination rectangle on the same pixbuf, it will be overwritten during the scaling which results in rendering artifacts.

#### Parameters

`dest`

  Type: `GdkPixbuf`

  The `GdkPixbuf` into which to render the results.

  The data is owned by the caller of the method.

`dest_x`

  Type: `int`

  The left coordinate for region to render.

`dest_y`

  Type: `int`

  The top coordinate for region to render.

`dest_width`

  Type: `int`

  The width of the region to render.

`dest_height`

  Type: `int`

  The height of the region to render.

`offset_x`

  Type: `double`

  The offset in the X direction (currently rounded to an integer).

`offset_y`

  Type: `double`

  The offset in the Y direction (currently rounded to an integer).

`scale_x`

  Type: `double`

  The scale factor in the X direction.

`scale_y`

  Type: `double`

  The scale factor in the Y direction.

`interp_type`

  Type: `GdkInterpType`

  The interpolation type for the transformation.